| Home | Libraries | People | FAQ | More

##### make_fused_procedure

###### Description

Creates a `fused_procedure` adapter for a given Deferred Callable Object. The usual element conversion applied to the target function.

###### Synopsis

    template <typename F>
    inline typename make_fused_procedure<F>::type
    make_fused_procedure(F const & f);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`f` | Model of Callable Object | The function to transform.

###### Expression Semantics

    make_fused_procedure(f);

Return type: A specialization of `fused_procedure`.

Semantics: Returns a `fused_procedure` adapter for `f`.

###### Header

    #include <boost/fusion/functional/generation/make_fused_procedure.hpp>
    #include <boost/fusion/include/make_fused_procedure.hpp>

###### Example

    vector<int,int,int> v(1,2,3);
    using namespace boost::lambda;
    make_fused_procedure(_1 += _2 - _3)(v);
    assert(front(v) == 0);

###### See also

- `fused_procedure`
- `deduce`
- `make_fused_procedure`